=== debian/changelog ===
hubzero-submit-monitors (3.6.4-1+deb7) unstable; urgency=low

    Update to version 3.6.4
    Added scripts for starting/stopping/reporting services status
    Switch to default sqlite job database

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jun 2023 07:51:22 -0700

hubzero-submit-monitors (3.6.3-1) unstable; urgency=low

    - Upgrade to 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:45:56 -0700
