## hubzero-submit-monitors 3.6.4-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.6.4-1+deb10) unstable; urgency=low

    Update to version 3.6.4
    Added scripts for starting/stopping/reporting services status
    Switch to default sqlite job database

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jun 2023 07:51:22 -0700
