## hubzero-submit-monitors 3.7.0-1+deb10

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,6 @@
                          personalize-copy-proxy.sh personalize-saml-proxy.sh \
                          refresh-condor-proxy.sh refresh-jobmon-proxy.sh \
                          refresh-oauth-token.sh writecommunitysecret.sh
-SERVICEMONITORS = start status stop
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 VARGRIDMAN=$(DESTDIR)/var/gridman
@@ -95,10 +94,6 @@
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
-	# install-process-monitors
-	for serviceMonitor in $(SERVICEMONITORS) ; do \
-		install --mode 0750 -D $${serviceMonitor} $(SUBMITDIR)/$${serviceMonitor}; \
-	done
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
@@ -147,10 +142,6 @@
 	for manageIdentityUtil in $(MANAGEIDENTITYUTILS) ; do \
 		chgrp gridman $(SUBMITDIR)/$(manageIdentityUtil); \
 	done
-	# install-process-monitors
-	for serviceMonitor in $(SERVICEMONITORS) ; do \
-		chgrp gridman $(SUBMITDIR)/$(serviceMonitor); \
-	done
 	# install-monitor-logs
 	if [ ! -d ${VARLOG}/submit ] ; \
 	then \
