=== debian/changelog ===
hubzero-submit-monitors (3.7.0-1+deb10) unstable; urgency=low

    Removed deprecated function

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:53:29 -0700
