## hubzero-submit-monitors 3.7.1-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.7.1-1+deb7) unstable; urgency=low

    - Upgrade to 3.7.1
    - Added scripts for starting/stopping/reporting services status
    - Switch to default sqlite job database

 -- Steven Clark <smclark@ucsd.edu>  Mon, 30 May 2023 07:45:05 -0700

hubzero-submit-monitors (3.7.0-1) unstable; urgency=low

    - Upgrade to 3.7.0
    - Removed deprecated function

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:53:29 -0700
