## hubzero-submit-monitors 3.7.1-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.7.1-1+deb10) unstable; urgency=low

    - Upgrade to 3.7.1
    - Added scripts for starting/stopping/reporting services status
    - Switch to default sqlite job database

 -- Steven Clark <smclark@ucsd.edu>  Mon, 30 May 2023 07:45:05 -0700
