## hubzero-submit-monitors 3.7.2-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.7.2-1+deb10) unstable; urgency=low

    - Upgrade to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:58:13 -0800
