## hubzero-submit-monitors 3.8.1-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.8.1-1+deb7) unstable; urgency=low

     - Fix status command accounting for multiple transient job monitor scripts running.
     - Update to version 3.8.1
     - Standardize writes to stdout/stderr with failure reported to log file.
     - Add TapisV3
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 7:33:19 -0700

hubzero-submit-monitors (3.7.4-1) unstable; urgency=low

    - Upgrade to 3.7.4

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:07:47 -0800

hubzero-submit-monitors (3.7.3.1-1) unstable; urgency=low

    -  fix creation of /var/run/submit to be tmpfs compatible

 -- Steven Clark <smclark@ucsd.edu>  Fri, 14 Jun 2024 15:49:33 -0700

hubzero-submit-monitors (3.7.3-1) unstable; urgency=low

    Upgrade to 3.7.3
    Support el8
    Usage instruction correction
    Bring daemon management scripts up to date
    Finally making switch from init.d to systemd
    Adding cloud source code - not used
    Added cloud monitor (it is not currently used)

 -- Steven Clark <smclark@ucsd.edu>  Thu, 13 Jun 2024 13:10:40 -0700

hubzero-submit-monitors (3.7.2-1) unstable; urgency=low

    - Upgrade to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:58:13 -0800
