## hubzero-submit-monitors 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.8.2-1+deb7) unstable; urgency=low

     - Refresh tokens for both Tapis2 and Tapis3
     - Updated for change in condor.pid location

 -- Steven Clark <clarksm@purdue.edu>  Fri, 31 Oct 2025 8:35:44 -0400

hubzero-submit-monitors (3.8.1-1) unstable; urgency=low

     - Fix status command accounting for multiple transient job monitor scripts running.
     - Update to version 3.8.1
     - Standardize writes to stdout/stderr with failure reported to log file.
     - Add TapisV3
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 7:33:19 -0700
