=== debian/control ===
Source: hubzero-submit-monitors
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0),  , python-all,python-support   
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-monitors
Architecture: all
Depends: adduser, hubzero-use, hubzero-use-apps, bind9-host,openssh-client, python (>=2.6), ${misc:Depends}
Recommends: hubzero-submit-distributor, hubzero-submit-server
Description: HUBzero submit monitors
 HUBzero submit monitor services
