## hubzero-submit-monitors 3.8.2-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.8.2-1+deb10) unstable; urgency=low

     - Refresh tokens for both Tapis2 and Tapis3
     - Updated for change in condor.pid location

 -- Steven Clark <clarksm@purdue.edu>  Fri, 31 Oct 2025 8:35:44 -0400
