=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,7 @@
 	dh_installinit -i --name=probemon
 	dh_installinit -i --name=identityman
 	dh_installman -i
-	dh_python2 -i
+	if [ -f /usr/bin/python2 ]; then dh_python2 -i; fi
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i
