## hubzero-submit-monitors 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.9.1-1+deb7) unstable; urgency=low

    - Upgrade to 3.9.1

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:14:50 -0400

hubzero-submit-monitors (3.8.2-1) unstable; urgency=low

     - Refresh tokens for both Tapis2 and Tapis3
     - Updated for change in condor.pid location

 -- Steven Clark <clarksm@purdue.edu>  Fri, 31 Oct 2025 8:35:44 -0400
