## hubzero-submit-monitors 3.9.1-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.9.1-1+deb10) unstable; urgency=low

    - Upgrade to 3.9.1

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:14:50 -0400
