## hubzero-submit-monitors 3.9.1.1-1+deb7

=== Makefile ===
--- 
+++ 
@@ -50,10 +50,13 @@
                          personalize-copy-proxy.sh personalize-saml-proxy.sh \
                          refresh-condor-proxy.sh refresh-jobmon-proxy.sh \
                          refresh-oauth-token.sh writecommunitysecret.sh
+SERVICEMONITORS = start status stop
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 VARGRIDMAN=$(DESTDIR)/var/gridman
 ETCDIR=$(DESTDIR)/etc
+USRDIR=$(DESTDIR)/usr
+USRLIB=$(DESTDIR)/usr/lib
 
 all:
 	@true
@@ -94,29 +97,42 @@
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
+	# install-process-monitors
+	for serviceMonitor in $(SERVICEMONITORS) ; do \
+		install --mode 0750 -D $${serviceMonitor} $(SUBMITDIR)/$${serviceMonitor}; \
+	done
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
 	# install-server-init
 	[ -f $(ETCDIR)/submit/jobmonitors.conf ] || install --mode 0644 -D jobmonitor.conf_dft $(ETCDIR)/submit/jobmonitor.conf
-	install --mode 0755 -D identityman $(ETCDIR)/init.d/identityman
-	install --mode 0755 -D jobcachesimtools $(ETCDIR)/init.d/jobcachesimtools
-	install --mode 0755 -D jobexe $(ETCDIR)/init.d/jobexe
-	install --mode 0755 -D jobmetrics $(ETCDIR)/init.d/jobmetrics 
-	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon  
-	install --mode 0755 -D jobpro $(ETCDIR)/init.d/jobpro
-	install --mode 0755 -D jobstageinput $(ETCDIR)/init.d/jobstageinput
-	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
-	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
+	install --mode 0755 -d $(SUBMITDIR)/systemd
+	install --mode 0640 -D cloudmon.service         $(USRLIB)/systemd/system/cloudmon.service
+	install --mode 0640 -D identityman.service      $(USRLIB)/systemd/system/identityman.service
+	install --mode 0640 -D jobcachesimtools.service $(USRLIB)/systemd/system/jobcachesimtools.service
+	install --mode 0640 -D jobexe.service           $(USRLIB)/systemd/system/jobexe.service
+	install --mode 0640 -D jobmetrics.service       $(USRLIB)/systemd/system/jobmetrics.service
+	install --mode 0640 -D jobmon-sqlite.service    $(USRLIB)/systemd/system/jobmon.service
+	install --mode 0640 -D jobpro.service           $(USRLIB)/systemd/system/jobpro.service
+	install --mode 0640 -D jobstageinput.service    $(USRLIB)/systemd/system/jobstageinput.service
+	install --mode 0640 -D probemon.service         $(USRLIB)/systemd/system/probemon.service
+	install --mode 0640 -D tunnelmon.service        $(USRLIB)/systemd/system/tunnelmon.service
+	install --mode 0640 -D jobmon-sql.service       $(SUBMITDIR)/systemd/jobmon.service
 	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
-	@true
+	rm -f $(USRLIB)/systemd/system/cloudmon.service $(USRLIB)/systemd/system/identityman.service \
+         $(USRLIB)/systemd/system/jobcachesimtools.service $(USRLIB)/systemd/system/jobexe.service \
+         $(USRLIB)/systemd/system/jobmetrics.service $(USRLIB)/systemd/system/jobmon.service \
+         $(USRLIB)/systemd/system/jobpro.service $(USRLIB)/systemd/system/jobstageinput.service \
+         $(USRLIB)/systemd/system/probemon.service $(USRLIB)/systemd/system/tunnelmon.service \
+	      $(SUBMITDIR)/systemd/jobmon.service
 
 postinst:
 	# install-user-gridman
 	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
 	adduser --quiet gridman tunneler || true
+
 	# install-monitor-job
 	chgrp gridman $(SUBMITDIR)/monitorJobInitialize.py
 	chgrp gridman $(SUBMITDIR)/monitorJobInitialize.sh
@@ -142,6 +158,10 @@
 	for manageIdentityUtil in $(MANAGEIDENTITYUTILS) ; do \
 		chgrp gridman $(SUBMITDIR)/$(manageIdentityUtil); \
 	done
+	# install-process-monitors
+	for serviceMonitor in $(SERVICEMONITORS) ; do \
+		chgrp gridman $(SUBMITDIR)/$(serviceMonitor); \
+	done
 	# install-monitor-logs
 	if [ ! -d ${VARLOG}/submit ] ; \
 	then \
@@ -218,16 +238,12 @@
 	$(SUBMITDIR)/monitorJobInitialize.sh
 
 	# install-server-init
-	insserv probemon
-	insserv identityman
-	insserv jobcachesimtools
-	insserv jobexe
-	insserv jobmetrics 
-	insserv jobmon  
-	insserv jobpro
-	insserv jobstageinput
-	insserv tunnelmon
-	insserv
+	rm -f $(ETCDIR)/init.d/identityman $(ETCDIR)/init.d/jobcachesimtools \
+         $(ETCDIR)/init.d/jobexe $(ETCDIR)/init.d/jobmetrics \
+         $(ETCDIR)/init.d/jobmon  $(ETCDIR)/init.d/jobpro \
+         $(ETCDIR)/init.d/jobstageinput $(ETCDIR)/init.d/tunnelmon \
+         $(ETCDIR)/init.d/probemon $(ETCDIR)/init.d/cloudmon
+	systmctl daemon-reload
 
 clean:
 	find . -name '*.pyc' -delete
