=== debian/changelog ===
hubzero-submit-monitors (3.9.1.1-1+deb7) unstable; urgency=low

    - Ignore empty jobIds

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:30:10 -0400

hubzero-submit-monitors (3.9.1-1) unstable; urgency=low

    - Upgrade to 3.9.1

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:14:50 -0400
