## hubzero-submit-monitors 3.9.1.1-1+deb12

=== debian/changelog ===
hubzero-submit-monitors (3.9.1.1-1+deb12) unstable; urgency=low

    - Ignore empty jobIds

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:30:10 -0400
