## hubzero-submit-monitors 3.10.1-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.10.1-1+deb7) unstable; urgency=low

     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed,  10 Dec 2025 11:56:33 -0400

hubzero-submit-monitors (3.9.1.1-1) unstable; urgency=low

    - Ignore empty jobIds

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:30:10 -0400
