## hubzero-submit-monitors 3.11.1-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.11.1-1+deb7) unstable; urgency=low

     - Return updated job status immediately after new submission
     - Relax permissions on BatchMonitors to allow visibility for non root users
     - Move systemd unit files to separate directory
     - Change from polling to notification alerts for updaing WS job status
     - Add more job count reporting at startup
     - split jobmonitor.conf into two parts for monitorjob and monitorjobsite
     - Run all daemon logging through rsyslog
     - Change from polling to notification alerts for updaing WS job status
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:53:33 -0400

hubzero-submit-monitors (3.10.1-1) unstable; urgency=low

     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed,  10 Dec 2025 11:56:33 -0400
