## hubzero-submit-monitors 3.11.1-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.11.1-1+deb10) unstable; urgency=low

     - Return updated job status immediately after new submission
     - Relax permissions on BatchMonitors to allow visibility for non root users
     - Move systemd unit files to separate directory
     - Change from polling to notification alerts for updaing WS job status
     - Add more job count reporting at startup
     - split jobmonitor.conf into two parts for monitorjob and monitorjobsite
     - Run all daemon logging through rsyslog
     - Change from polling to notification alerts for updaing WS job status
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:53:33 -0400
