## hubzero-submit-monitors 3.11.1-1+deb12

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 il=--install-layout=deb
 endif
 
-BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
+BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
 MONITORJOBS = monitorJob.py monitorJobSite.py monitorJobSQL.py monitorJobSiteSQL.py \
               jobCacheSimTools.py jobExecuter.py jobMetrics.py jobProcessor.py jobStageInput.py
@@ -65,10 +65,11 @@
 	# create-optsubmit
 	install --mode 0755 -d $(SUBMITDIR)
 	# install-batchmonitors
-	install --mode 2750 -d $(SUBMITDIR)/BatchMonitors
+	install --mode 2751 -d $(SUBMITDIR)/BatchMonitors
 	for batchMonitor in $(BATCHMONITORS) ; do \
-		install --mode 0750 -D BatchMonitors/$${batchMonitor} $(SUBMITDIR)/BatchMonitors/$${batchMonitor}; \
-	done
+		install --mode 0755 -D BatchMonitors/$${batchMonitor} $(SUBMITDIR)/BatchMonitors/$${batchMonitor}; \
+	done
+	rm -f $(SUBMITDIR)/BatchMonitors/monitorCondorG.py
 	# install-monitor-job
 	for monitorJob in $(MONITORJOBS) ; do \
 		install --mode 0750 -D $${monitorJob} $(SUBMITDIR)/$${monitorJob}; \
@@ -107,26 +108,26 @@
 	# install-server-init
 	[ -f $(ETCDIR)/submit/jobmonitors.conf ] || install --mode 0644 -D jobmonitor.conf_dft $(ETCDIR)/submit/jobmonitor.conf
 	install --mode 0755 -d $(SUBMITDIR)/systemd
-	install --mode 0640 -D cloudmon.service         $(USRLIB)/systemd/system/cloudmon.service
-	install --mode 0640 -D identityman.service      $(USRLIB)/systemd/system/identityman.service
-	install --mode 0640 -D jobcachesimtools.service $(USRLIB)/systemd/system/jobcachesimtools.service
-	install --mode 0640 -D jobexe.service           $(USRLIB)/systemd/system/jobexe.service
-	install --mode 0640 -D jobmetrics.service       $(USRLIB)/systemd/system/jobmetrics.service
-	install --mode 0640 -D jobmon-sqlite.service    $(USRLIB)/systemd/system/jobmon.service
-	install --mode 0640 -D jobpro.service           $(USRLIB)/systemd/system/jobpro.service
-	install --mode 0640 -D jobstageinput.service    $(USRLIB)/systemd/system/jobstageinput.service
-	install --mode 0640 -D probemon.service         $(USRLIB)/systemd/system/probemon.service
-	install --mode 0640 -D tunnelmon.service        $(USRLIB)/systemd/system/tunnelmon.service
-	install --mode 0640 -D jobmon-sql.service       $(SUBMITDIR)/systemd/jobmon.service
+	install --mode 0640 -D systemd/cloudmon.service         $(USRLIB)/systemd/system/cloudmon.service
+	install --mode 0640 -D systemd/identityman.service      $(USRLIB)/systemd/system/identityman.service
+	install --mode 0640 -D systemd/jobcachesimtools.service $(USRLIB)/systemd/system/jobcachesimtools.service
+	install --mode 0640 -D systemd/jobexe.service           $(USRLIB)/systemd/system/jobexe.service
+	install --mode 0640 -D systemd/jobmetrics.service       $(USRLIB)/systemd/system/jobmetrics.service
+	install --mode 0640 -D systemd/jobmon-sqlite.service    $(USRLIB)/systemd/system/jobmon.service
+	install --mode 0640 -D systemd/jobpro.service           $(USRLIB)/systemd/system/jobpro.service
+	install --mode 0640 -D systemd/jobstageinput.service    $(USRLIB)/systemd/system/jobstageinput.service
+	install --mode 0640 -D systemd/probemon.service         $(USRLIB)/systemd/system/probemon.service
+	install --mode 0640 -D systemd/tunnelmon.service        $(USRLIB)/systemd/system/tunnelmon.service
+	install --mode 0640 -D systemd/jobmon-sql.service       $(SUBMITDIR)/systemd/jobmon.service
 	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	rm -f $(USRLIB)/systemd/system/cloudmon.service $(USRLIB)/systemd/system/identityman.service \
-         $(USRLIB)/systemd/system/jobcachesimtools.service $(USRLIB)/systemd/system/jobexe.service \
-         $(USRLIB)/systemd/system/jobmetrics.service $(USRLIB)/systemd/system/jobmon.service \
-         $(USRLIB)/systemd/system/jobpro.service $(USRLIB)/systemd/system/jobstageinput.service \
-         $(USRLIB)/systemd/system/probemon.service $(USRLIB)/systemd/system/tunnelmon.service \
-	      $(SUBMITDIR)/systemd/jobmon.service
+              $(USRLIB)/systemd/system/jobcachesimtools.service $(USRLIB)/systemd/system/jobexe.service \
+              $(USRLIB)/systemd/system/jobmetrics.service $(USRLIB)/systemd/system/jobmon.service \
+              $(USRLIB)/systemd/system/jobpro.service $(USRLIB)/systemd/system/jobstageinput.service \
+              $(USRLIB)/systemd/system/probemon.service $(USRLIB)/systemd/system/tunnelmon.service \
+              $(SUBMITDIR)/systemd/jobmon.service
 
 postinst:
 	# install-user-gridman
