=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,10 @@
 	@echo "########## build ##########"
 	dh_testdir
 	$(MAKE)
-	cp jobmon $(CURDIR)/debian/jobmon.init
-	cp tunnelmon $(CURDIR)/debian/tunnelmon.init
-	cp probemon $(CURDIR)/debian/probemon.init
-	cp identityman $(CURDIR)/debian/identityman.init
+	cp init.d/jobmon $(CURDIR)/debian/jobmon.init
+	cp init.d/tunnelmon $(CURDIR)/debian/tunnelmon.init
+	cp init.d/probemon $(CURDIR)/debian/probemon.init
+	cp init.d/identityman $(CURDIR)/debian/identityman.init
 	#>$@
 
 clean:
